# js and yfront requires yaws
%define no_build edoc ssh syntax_tools xmerl  js otp.net spread_drv yfront

%define cvsdate 20071220
%define Name Jungerl
Name: jungerl
Version: 0
%define rel 2
Release: alt%{?cvsdate:0.%cvsdate.}%rel
Summary: The Jungle of Erlang code
License: EPL
Group: Development/Other
URL: http://%name.sourceforge.net
%ifdef cvsdate
#cvs -z3 -d:pserver:anonymous@jungerl.cvs.sourceforge.net:/cvsroot/jungerl co jungerl
Source: %name-cvs-%cvsdate.tar.bz2
%else
Source: %name-%version.tar.bz2
%endif
Patch0: %name-cvs20070904-R11B.patch
Patch1: %name-cvs-20071220-makefile.patch
Patch2: %name-cvs20070904-configure.patch
Requires: erlang >= R11B.5

# Automatically added by buildreq on Thu Dec 20 2007 (-bi)
#BuildRequires: emacs-common ghostscript-utils groff-base jungerl libXpm-devel libgd2-devel libglade-devel libjpeg-devel libslang-devel openssh-clients symlinks

BuildRequires: erlang >= R11B.5
BuildRequires: ghostscript-utils groff-base libXpm-devel libgd2-devel
BuildRequires: libjpeg-devel libpng-devel libslang-devel symlinks tcsh
BuildRequires: libglade-devel emacs-common

%description
The Jungle of Erlang code.
This project contains miscellaneous utilities for erlang programmers.


%package -n erlang-pgsql
Summary: PostgreSQL frontend for Erlang
Group: Development/Other
License: EPL
Requires: erlang >= R11B.5
Conflicts: %name < 0-alt0.20071220.1

%description -n erlang-pgsql
Second attempt at writing a PostgreSQL frontend. Connects by plain tcp
and should be able to perform simple SQL commands.


%prep
%setup %{?cvsdate:-n %name-cvs-%cvsdate}
%patch0 -p1
%patch1 -p1
%patch2 -p1
rm -f lib/ex11/SKIP
for d in $(find lib -type d -maxdepth 1 -mindepth 1); do
    [ -d $d/ebin ] || mkdir $d/ebin
done
mkdir lib/{mibs/{priv,include},rdbms/{mnesia_patches,test}/ebin}


%build
for d in %no_build; do
    touch lib/$d/SKIP
done
%add_optflags -I../../../support
%ifarch x86_64
%add_optflags %optflags_shared
%endif
pushd config
%make_build configure
%configure --with-slang-include=%_includedir/slang
popd
%make


%install
%{!?_otplibdir:%define _otplibdir %_libexecdir/erlang/lib}
install -d -m 0755 %buildroot%_otplibdir
cp -R lib/* %buildroot%_otplibdir/
for d in %no_build; do
    rm -rf %buildroot%_otplibdir/$d
done
mv %buildroot%_otplibdir/erlang_automated_build/{src/,}erlang_automated_build
for l in c_src config src test; do
    find %buildroot%_otplibdir -maxdepth 2 -type d -name $l -exec rm -rf \{} \;
done
find %buildroot%_otplibdir -empty -delete
for f in INSTALL 'INSTALL.*' Makefile 'Makefile.*' '*.mk' '*.mk.*'; do
    find %buildroot%_otplibdir -type f -name $f -delete
done
find %buildroot%_otplibdir -type d -exec chmod 755 \{} \;
find %buildroot%_otplibdir -type f -exec chmod 644 \{} \;
chmod 755 %buildroot%_otplibdir/{*/{bin,scripts}/*,erlang_automated_build/erlang_automated_build,erl_cgi/priv/bin/esp_cat,fd_server/priv/fdsrv,psocket/priv/psocket_srv,tuntap/priv/tunctl,lersp/priv/lersp.sh,rpc/priv/erpcgen}
install -d -m 0755 %buildroot%_docdir/%name
for d in $(find lib -maxdepth 1 -mindepth 1 -type d); do
    [ -f $d/SKIP ] && continue
    V=""
    [ -z "$V" -a -f "$d/ebin/$(basename $d).app" ] && V=$(sed -n -e '/[{]vsn,/s/^.*[{]vsn,[[:blank:]]*"\([[:digit:].]*[[:lower:]]*\)".*$/\1/p' "$d/ebin/$(basename $d).app" | head -n 1)
    [ -z "$V" -a -f $d/vsn.mk ] && V=$(sed -n -e '/VSN[[:blank:]]*=/s/^.*VSN[[:blank:]]*=[[:blank:]]*\([[:digit:].]*[[:lower:]]*\).*$/\1/p' "$d/vsn.mk" | head -n 1)
    [ -z "$V" -a -f $d/Makefile ] && V=$(sed -n -e '/^VSN[[:blank:]]*=/s/^VSN[[:blank:]]*=[[:blank:]]*\([[:digit:].]*[[:lower:]]*\).*$/\1/p' "$d/Makefile" | head -n 1)
    [ -z "$V" ] && V="0.0"
    mv %buildroot%_otplibdir/$(basename "$d"){,-$V}
done
symlinks -cdr %buildroot%_docdir/%name
symlinks -csdr %buildroot%_docdir/%name

%ifarch %ix86
%set_verify_elf_method textrel=relaxed
%endif


%files
%_otplibdir/*
%exclude %_otplibdir/pgsql*
%_docdir/%name


%files -n erlang-pgsql
%_otplibdir/pgsql*


%changelog
* Mon Dec 24 2007 Led <led@altlinux.ru> 0-alt0.20071220.2
- versioned modules

* Thu Dec 20 2007 Led <led@altlinux.ru> 0-alt0.20071220.1
- CVS snapshot 20071220
- added subpackage erlang-pgsql
- updated %name-cvs-20071220-makefile.patch
- removed %name-cvs20070904-pgsql-decode_row.patch

* Thu Sep 20 2007 Led <led@altlinux.ru> 0-alt0.20070904.4
- added jungerl-cvs20070904-pgsql-decode_row.patch

* Sun Sep 09 2007 Led <led@altlinux.ru> 0-alt0.20070904.3
- fixed BuildRequires
- fixed lapsus in %%description (thanx to Slava Semushin)

* Fri Sep 07 2007 Led <led@altlinux.ru> 0-alt0.20070904.2
- cleaned up spec

* Thu Sep 06 2007 Led <led@altlinux.ru> 0-alt0.20070904.1
- initial build
